<?php
namespace WpBookingProAdminWooPanel\app\controllers;
use WpBookingPro\Factory as FactoryAlias;
use WpBookingPro\Mvc\Controller\Controller;
use WpBookingProAdminWooPanel\app\helpers\ConfigHelper;

defined('_WPBOOKINGPRO_EXEC') or die;
class ConfigController extends Controller
{
    public $model = "config";
    public function create_page_service_detail(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("service-detail","page_service_detail");
        $this->redirect($url);

    }
    public function create_page_user_account(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("account-detail","page_user_account");
        $this->redirect($url);

    }
    public function create_page_list_service(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("services-list","page_list_service");
        $this->redirect($url);

    }
    public function create_page_list_servicelocator(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("servicelocator-list","page_list_servicelocator");
        $this->redirect($url);
    }
    public function create_page_list_category(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("categories-list","page_list_category");
        $this->redirect($url);

    }
    public function create_page_login(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("login-list","page_login");
        $this->redirect($url);

    }
    public function create_page_signup(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("signup-list","page_signup");
        $this->redirect($url);

    }
    public function create_page_list_vendor(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("vendors-list","page_list_vendor");
        $this->redirect($url);

    }
    public function create_page_vendor_detail(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("vendor-detail","page_vendor_detail");
        $this->redirect($url);

    }

}
